### env dbrename

`

###

    env dbrename
    	[-auto_commit]
    	[-txn txnid]
    	[--]
    	file
    	newname

### Description(env dbrename)

Rename the Berkeley DB database file to newname.

The options are as follows:

-auto_commit
  Enclose the call within a transaction. If the call succeeds, changes made by the operation will be recoverable. If the call fails, the operation will have made no changes.
-txn txnid
  If the operation is part of an application-specified transaction, the txnid parameter is a transaction handle returned from env txn. If no transaction handle is specified, but the -auto_commit flag is specified, the operation will be implicitly transaction protected.

The env dbrename command returns 0 on success, and in the case of error, a Tcl error is thrown.

`

Copyright (c) 1996-2005 Sleepycat Software, Inc. - All rights reserved.